# TTransform3DTemplate< T > Class Template Reference
[Data Structures]

Inheritance diagram for TTransform3DTemplate< T >:

List of all members.

## Public Member Functions
| TTransform3DTemplate ()
template<class U >
| TTransform3DTemplate (const TTransform3DTemplate< U > &original)
TVector3Template< T > | TransformPoint (const TVector3Template< T > &PP) const
TVector3Template< T > | TransformVector (const TVector3Template< T > &VV) const
TTransform3DTemplate< T > | operator* (const TTransform3DTemplate< T > &transform) const
TTransform3DTemplate< T > & | operator*= (const TTransform3DTemplate< T > &t)
TTransform3DTemplate< T > & | operator*= (real32 s)
TTransform3DTemplate< T > & | operator+= (const TTransform3DTemplate< T > &t)
void | GetInverse (TTransform3DTemplate< T > &outInverse) const
TTransform3DTemplate< T > | GetInverse () const
void | GetComponents (TMatrix33Template< T > &outRotation, TVector3Template< T > &outTranslation, TVector3Template< T > &outScaling) const
boolean | IsEqual (const TTransform3DTemplate< T > &transform, const real &zeroTolerance) const
boolean | IsEqualRelative (const TTransform3DTemplate< T > &transform, const real &zeroTolerance=0) const
void | Reset ()
boolean | IsDirect () const
boolean | IsIdentity () const
## Public Attributes
TMatrix33Template< T > | fRotationAndScale
| Matrix.
TVector3Template< T > | fTranslation
| Vector from parent 0,0,0 to local 0,0,0.
## Friends
TTransform3DTemplate< T > | operator* (real32 s, const TTransform3DTemplate< T > &t)

## Detailed Description

### template<class T>
class TTransform3DTemplate< T >

TTransform3D is a minimal representation of a 3D Transform.

x'= fRotationAndScale*x + fTranslation

## Constructor & Destructor Documentation

template<class T>

TTransform3DTemplate< T >::TTransform3DTemplate | ( |  | ) | `[inline]`

template<class T>
template<class U >

TTransform3DTemplate< T >::TTransform3DTemplate | ( | const TTransform3DTemplate< U > & | original | ) | `[inline, explicit]`

## Member Function Documentation

template<class T>

void TTransform3DTemplate< T >::GetComponents | ( | TMatrix33Template< T > & | outRotation,
|  | TVector3Template< T > & | outTranslation,
|  | TVector3Template< T > & | outScaling |
| ) |  |  | const

template<class T>

TTransform3DTemplate<T> TTransform3DTemplate< T >::GetInverse | ( |  | ) | const`[inline]`

template<class T>

void TTransform3DTemplate< T >::GetInverse | ( | TTransform3DTemplate< T > & | outInverse | ) | const

template<class T>

boolean TTransform3DTemplate< T >::IsDirect | ( |  | ) | const

template<class T>

boolean TTransform3DTemplate< T >::IsEqual | ( | const TTransform3DTemplate< T > & | transform,
|  | const real & | zeroTolerance |
| ) |  |  | const

template<class T>

boolean TTransform3DTemplate< T >::IsEqualRelative | ( | const TTransform3DTemplate< T > & | transform,
|  | const real & | zeroTolerance = `0` |
| ) |  |  | const

template<class T>

boolean TTransform3DTemplate< T >::IsIdentity | ( |  | ) | const

template<class T>

TTransform3DTemplate<T> TTransform3DTemplate< T >::operator* | ( | const TTransform3DTemplate< T > & | transform | ) | const

template<class T>

TTransform3DTemplate<T>& TTransform3DTemplate< T >::operator*= | ( | real32 | s | ) |

template<class T>

TTransform3DTemplate<T>& TTransform3DTemplate< T >::operator*= | ( | const TTransform3DTemplate< T > & | t | ) |

template<class T>

TTransform3DTemplate<T>& TTransform3DTemplate< T >::operator+= | ( | const TTransform3DTemplate< T > & | t | ) |

template<class T>

void TTransform3DTemplate< T >::Reset | ( |  | ) |

template<class T>

TVector3Template< T > TTransform3DTemplate< T >::TransformPoint | ( | const TVector3Template< T > & | PP | ) | const`[inline]`

template<class T>

TVector3Template< T > TTransform3DTemplate< T >::TransformVector | ( | const TVector3Template< T > & | VV | ) | const`[inline]`

## Friends And Related Function Documentation

template<class T>

TTransform3DTemplate<T> operator* | ( | real32 | s,
|  | const TTransform3DTemplate< T > & | t |
| ) |  |  | `[friend]`

## Member Data Documentation

template<class T>

TMatrix33Template<T> TTransform3DTemplate< T >::fRotationAndScale

Matrix.

template<class T>

TVector3Template<T> TTransform3DTemplate< T >::fTranslation

Vector from parent 0,0,0 to local 0,0,0.

The documentation for this class was generated from the following file:

- Transforms.h